<?php
/**
 * @file
 * Drush commands for managing the processing of queues.
 */

/**
 * Implements hook_drush_command().
 */
function braintree_donations_drush_command() {
  $commands = array();
  $commands['braintree-donations-run-queue'] = array(
    'description' => 'Process queued items to create or retry subscriptions. Run this if processing during Drupal cron is disabled.',
  );
  return $commands;
}

/**
 * Process the queued items.
 */
function drush_braintree_donations_run_queue() {
  foreach (braintree_donations_run_queue() as $queue_name => $success) {
    if ($success) {
      drush_log(dt('!name queue ran successfully.', array('!name' => $queue_name)), 'success');
    }
    else {
      drush_log(dt('!name queue had a failure.', array('!name' => $queue_name)), 'warning');
    }
  }
}
